# $Revision: 1.7 $, $Date: 2005/10/31 23:16:23 $
Summary:	ODE is a library for simulating articulated rigid body dynamics
Summary(pl):	ODE jest bibliotek suc do symulacji dynamiki bryy sztywnej
Name:		ode
Version:	0.5
Release:	3
Epoch:		1
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/opende/%{name}-%{version}.tgz
# Source0-md5:	b33b21e04ee9661f27802b6b6c8eefd2
Patch0:		%{name}-asm.patch
URL:		http://ode.org/
BuildRequires:	OpenGL-devel
BuildRequires:	XFree86-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
The Open Dynamics Engine (ODE) is a free software library for the
simulation of Rigid Body Dynamics. ODE is useful for simulating things
like vehicles, objects in virtual reality environments, and virtual
creatures.

%description -l pl
Open Dynamics Engine (ODE) jest woln bibliotek suc do symulacji
dynamiki bryy sztywnej. ODE jest uyteczne przy symulacji pojazdw,
obiektw w przestrzeni wirtualnej i wirtualnych stworze.

%package devel
Summary:	Header files for ODE libraries
Summary(pl):	Pliki nagwkowe bibliotek ODE
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	OpenGL-devel
Requires:	XFree86-devel
Requires:	libstdc++-devel

%description devel
Header files for ODE libraries.

%description devel -l pl
Pliki nagwkowe bibliotek ODE.

%package static
Summary:	Static ODE libraries
Summary(pl):	Statyczne biblioteki ODE
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static ODE libraries.

%description static -l pl
Statyczne biblioteki ODE.

%prep
%setup -q
%ifarch %{ix86}
%patch0 -p1
%endif

%build
%{__make} configure
%{__make} ode-lib \
	CC="libtool --mode=compile %{__cc}" \
	C_FLAGS="-c -fno-rtti -fno-exceptions -ffast-math -Iinclude -DdNODEBUG \
	%{rpmcflags}"
libtool --mode=link %{__cxx} -o lib/libode.la ode/src/*.lo -rpath %{_libdir}

%{__make} drawstuff-lib \
	CC="libtool --mode=compile %{__cc}" \
	C_FLAGS="-c -fno-rtti -fno-exceptions -ffast-math -Iinclude -DdNODEBUG \
	%{rpmcflags}"
libtool --mode=link %{__cxx} -o lib/libdrawstuff.la drawstuff/src/*.lo \
	-rpath %{_libdir} -L/usr/X11R6/%{_lib} -lX11 -lGL -lGLU

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}}

libtool --mode=install install lib/libode.la $RPM_BUILD_ROOT%{_libdir}
libtool --mode=install install lib/libdrawstuff.la $RPM_BUILD_ROOT%{_libdir}

cp -R include/* $RPM_BUILD_ROOT%{_includedir}
rm -f $RPM_BUILD_ROOT%{_includedir}/%{name}/README

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG README
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc ode/{README,TODO} ode/doc/{ode.html,pix}
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ode.spec,v $
Revision 1.7  2005/10/31 23:16:23  arekm
- rel 3

Revision 1.6  2005/03/29 23:36:50  troll
- look for -lX11 in %%{_lib} not lib
- asm patch doesn't work on archs !%%{ix86}
- new URL
- rel 2

Revision 1.5  2005/03/24 23:36:23  wolf
- add ebx+pic patch

Revision 1.4  2004/09/02 14:36:06  snurf
- typos / formatting / etc.

Revision 1.3  2004/06/16 22:12:45  grzegol
- updated to 0.5
- strict internal deps

Revision 1.2  2003/08/13 08:46:59  qboosh
- build as shared library, BR: libstdc++-devel, libtool

Revision 1.1  2003/08/12 20:41:09  grzegol
- new
